Get Media Stats
GET
/api/v1/media/statsGet storage usage and video statistics for your dedicated SpiderMedia resources.
Response
successbooleanWhether the request succeeded
client_idstringYour client identifier
bucket_namestringYour SeaweedFS bucket name
public_url_basestringBase URL for your public files
storageobjectFile storage statistics
videosobjectVideo statistics
channelobjectPeerTube channel info
Example
- cURL
- Python
curl "https://spideriq.ai/api/v1/media/stats" \
-H "Authorization: Bearer cli_abc123:sk_xxx:secret_xxx"
import requests
url = "https://spideriq.ai/api/v1/media/stats"
headers = {"Authorization": "Bearer cli_abc123:sk_xxx:secret_xxx"}
response = requests.get(url, headers=headers)
print(response.json())
Response Example
{
"success": true,
"client_id": "cli_abc123",
"bucket_name": "client-cli-abc123",
"public_url_base": "https://media.spideriq.ai/client-cli-abc123",
"storage": {
"total_files": 42,
"total_size_bytes": 15728640,
"total_size_mb": 15.0
},
"videos": {
"total_videos": 3,
"total_duration_seconds": 1800,
"total_views": 156
},
"channel": {
"channel_id": 45,
"channel_name": "client_cli_abc123"
}
}